List the session user's audit log events.
curl --request GET \
--url https://api.symbiosis.markets/auth/audit-log \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/audit-log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/audit-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key_id": "<string>",
"ip_address": "<string>"
}
],
"next_cursor": "<string>"
}Auth
List the session user's audit log events.
GET
/
auth
/
audit-log
List the session user's audit log events.
curl --request GET \
--url https://api.symbiosis.markets/auth/audit-log \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/audit-log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/audit-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key_id": "<string>",
"ip_address": "<string>"
}
],
"next_cursor": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
Only events whose api key id contains this substring.
Comma-separated event types to include; omitted means every type.
Only events at or after this instant.
The last cursor, emitted by the previous response.
The maximum number of items to return.
Required range:
x >= 0Only events at or before this instant.